Name:			fotoxx
Version:		12.05
Release:		1
Summary:		Editor of image files from digital cameras
License:		GPLv3
Group:			Graphics
Source0:		http://kornelix.squarespace.com/storage/downloads/%{name}-%{version}.tar.gz
URL:			http://kornelix.squarespace.com/fotoxx/
BuildRequires:		pkgconfig(gtk+-3.0)
BuildRequires:		ufraw
BuildRequires:		perl-Image-ExifTool
BuildRequires:		tiff-devel
BuildRequires:		xdg-utils
BuildRequires:		imagemagick
Requires:		exiv2
Requires:		ufraw
Requires:		perl-Image-ExifTool

%description
Edit image files from a digital camera. Includes color and contrast
enhancement, red-eye removal, sharpen, crop, rotate, noise removal,
HDR (high dynamic range) and panorama image compositing, thumbnail
image browser, tag editing and search.

%prep
%setup -q

%build
%make CXXFLAGS="%{optflags}" LDFLAGS="%{ldflags}" PREFIX=%{_prefix}

%install
%__make PREFIX=%{buildroot}%{_prefix} install

# menu icon
for size in 16 24 32 48 64 128
do
%__install -D -m 644 %{buildroot}%{_datadir}/%{name}/icons/%{name}${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

# (tpg) drop upstream desktop file
rm -rf %{buildroot}%{_datadir}/applications/kornelix-fotoxx.desktop

# menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Version=1.0
Name=%{name}
GenericName=Image Editor
Comment=Edit image files from a digital camera
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;X-MandrivaLinux-CrossDesktop;
EOF

%files
%defattr(-,root,root)
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/fotoxx.1*


%changelog
* Fri Apr 27 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 12.05-1
+ Revision: 793962
- update to 12.05

* Sat Mar 03 2012 Alexander Khrukin <akhrukin@mandriva.org> 12.03-1
+ Revision: 782042
- version update 12.03

* Sun Feb 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 12.02-1
+ Revision: 771293
- version update 12.02
- version update 11.12.2

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 11.11.1

* Wed Oct 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 11.10-1
+ Revision: 704504
- update to new version 11.10

* Sun Jun 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 11.06.2-1
+ Revision: 686042
- spec file clean
- update to new version 11.06.2
- drop patch 0
- remove upstream desktop file

* Sun Apr 03 2011 Funda Wang <fwang@mandriva.org> 11.04-1
+ Revision: 649992
- new version 11.04

* Mon Mar 14 2011 Stéphane Téletchéa <steletch@mandriva.org> 11.03.1-1
+ Revision: 644720
- Add missing BR xdg-utils
- Update to version 11.03
- Remove no more needed patch, use more classical build options

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 10.12-1mdv2011.0
+ Revision: 609897
- new version 10.12

* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 10.11.1-1mdv2011.0
+ Revision: 593629
- new version 10.11.1

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 10.10-1mdv2011.0
+ Revision: 582363
- new version 10.10

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 10.9.1-1mdv2011.0
+ Revision: 577231
- new version 10.9.1

* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 10.9-1mdv2011.0
+ Revision: 575357
- new version 10.9

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 10.8.4-1mdv2011.0
+ Revision: 571418
- new version 10.8.4

* Mon Aug 09 2010 Funda Wang <fwang@mandriva.org> 10.8.3-1mdv2011.0
+ Revision: 568034
- new version 10.8.3

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 10.8-1mdv2011.0
+ Revision: 565044
- new version 10.8

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 10.2-1mdv2010.1
+ Revision: 538467
- new version 10.2

* Thu Mar 25 2010 Funda Wang <fwang@mandriva.org> 9.8.1-1mdv2010.1
+ Revision: 527403
- new version 9.8.1

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 9.8-1mdv2010.1
+ Revision: 526016
- New version 9.8

* Sun Mar 07 2010 Funda Wang <fwang@mandriva.org> 9.7-1mdv2010.1
+ Revision: 515341
- New version 9.7

* Thu Feb 04 2010 Funda Wang <fwang@mandriva.org> 9.5-1mdv2010.1
+ Revision: 500826
- New version 9.5
- fix linkage

* Fri Jan 22 2010 Jérôme Brenier <incubusss@mandriva.org> 9.4-1mdv2010.1
+ Revision: 495050
- new version 9.4
- drop Patch0, the desktop file install being now optionnal

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 9.1-1mdv2010.1
+ Revision: 482705
- new version 9.1

* Wed Dec 23 2009 Jérôme Brenier <incubusss@mandriva.org> 9.0-2mdv2010.1
+ Revision: 481892
- Patch0 : don't autocreate a .desktop file (already done in the specfile)

* Wed Dec 23 2009 Jérôme Brenier <incubusss@mandriva.org> 9.0-1mdv2010.1
+ Revision: 481844
- new version 9.0

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 8.6.2-1mdv2010.1
+ Revision: 462390
- Update to new version 8.6.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4.3-1mdv2010.0
+ Revision: 450652
- Update to new version 8.4.3

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4.1-1mdv2010.0
+ Revision: 440696
- Update to new version 8.4.1

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 8.4-1mdv2010.0
+ Revision: 438983
- Update to new version 8.4

* Wed Sep 02 2009 Frederik Himpe <fhimpe@mandriva.org> 8.3-1mdv2010.0
+ Revision: 425457
- Update to new version 8.3

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 8.2.2-1mdv2010.0
+ Revision: 422231
- Update to new version 8.2.2
- License has changed to GPLv3

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 7.7-1mdv2010.0
+ Revision: 399084
- Update to new version 7.7

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 7.6-1mdv2010.0
+ Revision: 398324
- Update to new version 7.6

* Fri May 15 2009 Frederik Himpe <fhimpe@mandriva.org> 6.8-1mdv2010.0
+ Revision: 376226
- Update to new version 6.8

* Sat Apr 04 2009 Nicolas Vigier <nvigier@mandriva.com> 6.4.1-1mdv2009.1
+ Revision: 364017
- version 6.4.1

* Fri Mar 20 2009 Nicolas Vigier <nvigier@mandriva.com> 6.2-1mdv2009.1
+ Revision: 359096
- version 6.2

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 5.8-1mdv2009.1
+ Revision: 324679
- New upstream release

* Thu Oct 23 2008 Nicolas Vigier <nvigier@mandriva.com> 5.4.1-2mdv2009.1
+ Revision: 296712
- add requires on exiv2 (#45195)
- fix doc path (#45195)
- complete url

* Tue Oct 21 2008 Nicolas Vigier <nvigier@mandriva.com> 5.4.1-1mdv2009.1
+ Revision: 296224
- fix summary, reindent description, remove buildroot before install
- import fotoxx


* Sat Oct 11 2008 incubusss <jejebr@orange.fr> 5.4-1mdv2009.0
- initial package
